<div class="modal-header">
    <h5 class="modal-title">
        <span class="font-weight-light">Email Schedule</span>
    </h5>
    <button type="button" class="close" (click)="close();">&times;</button>
</div>
<div *blockUI="'schedule-loader'; template: blockTemplate" class="modal-body data-value-grid" style="width: 100%; min-height: 233px;">
    <div class="email-scheculeCard w-100">
        <ngb-accordion [closeOthers]="true" activeIds="accordion2-static-1" class="ngb-accordion-with-icon mb-3">
            <ngb-panel *ngFor="let frequency of scheduleForm;let schedule_index = index;">
                <ng-template ngbPanelTitle>
                    <div class="col-md-6">
                        <label class="switcher emailsec-switcher v-middle">
                            <input type="checkbox" class="switcher-input" [(ngModel)]="frequency.is_selected"
                                (change)="deleteSchedule(frequency);" [disabled]="!frequency.is_selected">
                            <span class="switcher-indicator">
                                <span class="switcher-yes"></span>
                                <span class="switcher-no"></span>
                            </span>
                        </label>
                        <span class="f-14 fw-700 v-text-top black">{{frequency.trigger.trigger_freq}}</span>
                    </div>
                    <div class="col-md-5" style="text-align:end;">
                        <ng-container *ngFor="let recipient_users of frequency.recipient_users;let re_index = index;">
                            <label *ngIf="re_index<3"
                                class="email-member1 member{{re_index+1}}">{{recipient_users}}</label>
                            <label *ngIf="re_index==3" class="email-member1 more-member">...</label>
                        </ng-container>
                    </div>
                    <div class="col-md-1">
                        <label class="email-member1">
                            <span class="collapse-icon float-right"></span>
                        </label>
                    </div>
                </ng-template>
                <ng-template ngbPanelContent>
                    <div class="row">
                        <div class="col-md-6 d-flex align-items-center">
                            <div class="pr-2 ">
                                <label class="custom-input f-14 fw-700">Start Date</label>
                            </div>
                            <div class="py-2 px-2  group-label ui-right">
                                <div class="input-group ngx-data-ui-rgt">
                                    <input class="form-control black p-0 bg-transparent  input-box-style border-0"
                                        name="schedule_start_date" ngx-mydatepicker
                                        #schedule_start_date="ngx-mydatepicker" [(ngModel)]="frequency.starts_from"
                                        [options]="{disableUntil:yesterday_date}"
                                        (click)="schedule_start_date.toggleCalendar()" placeholder="yyyy-mm-dd"
                                        (dateChanged)="scheduleDateChanged(frequency.trigger, $event)"
                                        style="min-height:25px !important;max-height:25px !important;cursor: pointer;">
                                    <span style="cursor: pointer" class="pt-1"
                                        (click)="schedule_start_date.toggleCalendar()"><i
                                            class="fa-lg las la-calendar pt-1"></i></span>
                                </div>
                            </div>
                        </div>
                        <div *ngIf="frequency.trigger.trigger_freq=='Weekly'"
                            class="col-md-6 d-flex align-items-center">
                            <label class="custom-input f-14 pr-2 m-0 mb-0">Every</label>
                            <label *ngFor="let day of weekDays;" (click)="frequency.trigger.trigger_param=day.id"
                                class="email-member1"
                                [ngClass]="frequency.trigger.trigger_param==day.id?'weekly-member':'more-member black'">{{day.initial}}</label>
                        </div>
                        <div *ngIf="frequency.trigger.trigger_freq=='Monthly'"
                            class="col-md-6 d-flex align-items-center">
                            <label class="custom-input f-14 pr-2 mb-0">Every</label>
                            <div class="form-group col-auto mb-0 mt-1 mb-1 ml-1 mr-1">
                                <label class="custom-control custom-radio mt-1 mb-1 f-14">
                                    <input [(ngModel)]="frequency.trigger.trigger_param" type="radio"
                                        class="custom-control-input" name="month_trigger" value="0">
                                    <div class="custom-control-label">{{month_schedule_label.day}}</div>
                                </label>
                                <label class=" custom-control custom-radio mt-1 mb-1 f-14">
                                    <input [(ngModel)]="frequency.trigger.trigger_param" type="radio"
                                        class="custom-control-input" name="month_trigger" value="1">
                                    <div class="custom-control-label">{{month_schedule_label.date}}</div>
                                </label>
                            </div>
                            <label class="custom-input f-14 pl-2 mb-0">of the Month</label>
                        </div>
                    </div>
                    <div class="row mt-3" style="align-items:center;">
                        <div class="col-md-12">
                            <label class="custom-input f-14 fw-700">End occurence</label>
                        </div>
                        <div class="col-md-6 d-flex align-items-center">
                            <div class="pl-1 ">
                                <label class="custom-control custom-radio mb-0 f-14 ">
                                    <input type="radio" class="custom-control-input mr-1" id="defaultRadio1"
                                        name="confidence_per1" [(ngModel)]="frequency.end.type" value="Never" checked
                                        (click)="frequency.end.value=''">
                                    <div for="defaultRadio1" class="custom-control-label">Never</div>
                                </label>
                            </div>
                            <div class="pl-5 pr-2 ">
                                <label class="custom-control custom-radio mb-0 f-14 ">
                                    <input type="radio" class="custom-control-input mr-1" id="defaultRadio2"
                                        name="confidence_per1" [(ngModel)]="frequency.end.type" value="On"
                                        (click)="frequency.end.value=''">
                                    <div for="defaultRadio2" class="custom-control-label">On</div>
                                </label>
                            </div>
                            <div class=" py-2 px-2  group-label ui-right">
                                <div class="input-group ngx-data-ui-rgt">
                                    <input [disabled]="frequency.end.type!='On'"
                                        class="form-control p-0 bg-transparent black input-box-style border-0"
                                        name="schedule_end_date" ngx-mydatepicker
                                        [options]="{disableUntil:frequency.starts_from.date}"
                                        #schedule_end_date="ngx-mydatepicker" [(ngModel)]="frequency.end.value"
                                        (click)="schedule_end_date.toggleCalendar()" placeholder="yyyy-mm-dd"
                                        style="min-height:25px !important;max-height:25px !important;cursor: pointer;">
                                    <span style="cursor: pointer" class="pt-1"
                                        (click)="schedule_end_date.toggleCalendar()"><i
                                            class="fa-lg las la-calendar pt-1"></i></span>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 d-flex align-items-center">
                            <label class="custom-control custom-radio mb-0 f-14 mr-2 float-right responsive-ml-10">
                                <input type="radio" class="custom-control-input mr-1" id="defaultRadio3"
                                    name="confidence_per1" [(ngModel)]="frequency.end.type" value="After"
                                    (click)="frequency.end.value=''">
                                <div for="defaultRadio3" class="custom-control-label">After</div>
                            </label>
                            <div class="input-group-prepend">
                                <input class="input-group-text email-input-number" type="number"
                                    [(ngModel)]="frequency.end.value" [disabled]="frequency.end.type!='After'">
                            </div>
                            <label class="custom-input f-14 pl-2">Occurences </label>
                        </div>
                    </div>
                    <div class="row mt-3" *ngIf="isAdmin">
                        <div class="col-md-12">
                            <label class="custom-input f-14 fw-700">Recipients</label>
                        </div>
                        <div class="col-md-12">
                            <ng-select class="f-14" [options]="userList" [multiple]="true" placeholder="Select Users"
                                [(ngModel)]="frequency.recipient">
                            </ng-select>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <button type="button" class="btn btn-primary"
                                (click)="saveScheduleForm(frequency);">Submit</button>
                            <button type="button" class="btn btn-primary"
                                (click)="close();">Cancel</button>
                        </div>
                    </div>
                </ng-template>
            </ngb-panel>
        </ngb-accordion>
    </div>
</div>
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle> <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.44999999999999996s"></animate>
                    </circle> <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle> <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                    </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>